# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .create_service_request import CreateServiceRequest


class CreateIotServiceRequest(CreateServiceRequest):
    """CreateIotServiceRequest.

    :param name: The service name.
    :type name: str
    :param description: The description of the service.
    :type description: str
    :param kv_tags: The service tag dictionary. Tags are mutable.
    :type kv_tags: dict[str, str]
    :param properties: The service properties dictionary. Properties are
     immutable.
    :type properties: dict[str, str]
    :param keys: The authentication keys.
    :type keys: ~_restclient.models.CreateServiceRequestKeys
    :param image_id: The Image Id.
    :type image_id: str
    :param environment_image_request: The Environment, models and assets
     needed for inferencing.
    :type environment_image_request:
     ~_restclient.models.CreateServiceRequestEnvironmentImageRequest
    :param location: The location of the service.
    :type location: str
    :param overwrite: Whether to overwrite existing service if exists
    :type overwrite: bool
    :param deployed_api_options: Options for the API that the package exposes.
     Defaults to the standard AzureML REST server.
    :type deployed_api_options:
     ~_restclient.models.CreateServiceRequestDeployedApiOptions
    :param compute_type: Constant filled by server.
    :type compute_type: str
    :param iot_device_id:
    :type iot_device_id: str
    :param routes:
    :type routes: dict[str, str]
    :param iot_edge_user_module:
    :type iot_edge_user_module: list[~_restclient.models.IotModuleSettings]
    :param iot_edge_module:
    :type iot_edge_module:
     ~_restclient.models.CreateIotServiceRequestIotEdgeModule
    :param compute_name:
    :type compute_name: str
    :param acr_credentials:
    :type acr_credentials: list[~_restclient.models.RegistryInfo]
    :param auth_enabled:
    :type auth_enabled: bool
    """

    _validation = {
        'name': {'required': True},
        'compute_type': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'kv_tags': {'key': 'kvTags', 'type': '{str}'},
        'properties': {'key': 'properties', 'type': '{str}'},
        'keys': {'key': 'keys', 'type': 'CreateServiceRequestKeys'},
        'image_id': {'key': 'imageId', 'type': 'str'},
        'environment_image_request': {'key': 'environmentImageRequest', 'type': 'CreateServiceRequestEnvironmentImageRequest'},
        'location': {'key': 'location', 'type': 'str'},
        'overwrite': {'key': 'overwrite', 'type': 'bool'},
        'deployed_api_options': {'key': 'deployedApiOptions', 'type': 'CreateServiceRequestDeployedApiOptions'},
        'compute_type': {'key': 'computeType', 'type': 'str'},
        'iot_device_id': {'key': 'iotDeviceId', 'type': 'str'},
        'routes': {'key': 'routes', 'type': '{str}'},
        'iot_edge_user_module': {'key': 'iotEdgeUserModule', 'type': '[IotModuleSettings]'},
        'iot_edge_module': {'key': 'iotEdgeModule', 'type': 'CreateIotServiceRequestIotEdgeModule'},
        'compute_name': {'key': 'computeName', 'type': 'str'},
        'acr_credentials': {'key': 'acrCredentials', 'type': '[RegistryInfo]'},
        'auth_enabled': {'key': 'authEnabled', 'type': 'bool'},
    }

    def __init__(self, name, description=None, kv_tags=None, properties=None, keys=None, image_id=None, environment_image_request=None, location=None, overwrite=None, deployed_api_options=None, iot_device_id=None, routes=None, iot_edge_user_module=None, iot_edge_module=None, compute_name=None, acr_credentials=None, auth_enabled=None):
        super(CreateIotServiceRequest, self).__init__(name=name, description=description, kv_tags=kv_tags, properties=properties, keys=keys, image_id=image_id, environment_image_request=environment_image_request, location=location, overwrite=overwrite, deployed_api_options=deployed_api_options)
        self.iot_device_id = iot_device_id
        self.routes = routes
        self.iot_edge_user_module = iot_edge_user_module
        self.iot_edge_module = iot_edge_module
        self.compute_name = compute_name
        self.acr_credentials = acr_credentials
        self.auth_enabled = auth_enabled
        self.compute_type = 'IOT'
