# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class Data(Model):
    """A configuration which describes how the input data should be materialized
    on the compute target.

    :param data_location: The data source that will be consumed.
    :type data_location: ~_restclient.models.DataLocation
    :param mechanism: The delivery mechanisms for data source, can be either
     Direct, Mount, or Download. Possible values include: 'Direct', 'Mount',
     'Download', 'Hdfs'
    :type mechanism: str or ~_restclient.models.DeliveryMechanism
    :param environment_variable_name: The environment variable name to be made
     available on the compute whose value points to the delivered "data" on the
     compute.
    :type environment_variable_name: str
    :param path_on_compute: The path on the compute target.
    :type path_on_compute: str
    :param overwrite: Whether to overwrite the data if the path on compute
     already exists on the compute target.
    :type overwrite: bool
    """

    _attribute_map = {
        'data_location': {'key': 'dataLocation', 'type': 'DataLocation'},
        'mechanism': {'key': 'mechanism', 'type': 'DeliveryMechanism'},
        'environment_variable_name': {'key': 'environmentVariableName', 'type': 'str'},
        'path_on_compute': {'key': 'pathOnCompute', 'type': 'str'},
        'overwrite': {'key': 'overwrite', 'type': 'bool'},
    }

    def __init__(self, data_location=None, mechanism=None, environment_variable_name=None, path_on_compute=None, overwrite=None):
        super(Data, self).__init__()
        self.data_location = data_location
        self.mechanism = mechanism
        self.environment_variable_name = environment_variable_name
        self.path_on_compute = path_on_compute
        self.overwrite = overwrite
