# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DataLocation(Model):
    """A class that represent a pointer to a piece of data. The pointer can either
    be a
    dataset or a datapath but not both.

    :param dataset: The dataset this data location should reference.
    :type dataset: ~_restclient.models.RunDatasetReference
    :param data_path: The data path this data location should reference.
    :type data_path: ~_restclient.models.DataPath
    :param uri: The Url path this data location should reference.
    :type uri: ~_restclient.models.UriReference
    """

    _attribute_map = {
        'dataset': {'key': 'dataset', 'type': 'RunDatasetReference'},
        'data_path': {'key': 'dataPath', 'type': 'DataPath'},
        'uri': {'key': 'uri', 'type': 'UriReference'},
    }

    def __init__(self, dataset=None, data_path=None, uri=None):
        super(DataLocation, self).__init__()
        self.dataset = dataset
        self.data_path = data_path
        self.uri = uri
