# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DataReferenceConfiguration(Model):
    """A class for managing DataReferenceConfiguration.

    :param data_store_name: The name of the data store.
    :type data_store_name: str
    :param mode: Operation on the datastore, mount, download, upload. Possible
     values include: 'Mount', 'Download', 'Upload'
    :type mode: str or ~_restclient.models.DataStoreMode
    :param path_on_data_store: Relative path on the datastore.
    :type path_on_data_store: str
    :param path_on_compute: The path on the compute target.
    :type path_on_compute: str
    :param overwrite: Whether to overwrite the data if existing.
    :type overwrite: bool
    """

    _attribute_map = {
        'data_store_name': {'key': 'dataStoreName', 'type': 'str'},
        'mode': {'key': 'mode', 'type': 'DataStoreMode'},
        'path_on_data_store': {'key': 'pathOnDataStore', 'type': 'str'},
        'path_on_compute': {'key': 'pathOnCompute', 'type': 'str'},
        'overwrite': {'key': 'overwrite', 'type': 'bool'},
    }

    def __init__(self, data_store_name=None, mode=None, path_on_data_store=None, path_on_compute=None, overwrite=None):
        super(DataReferenceConfiguration, self).__init__()
        self.data_store_name = data_store_name
        self.mode = mode
        self.path_on_data_store = path_on_data_store
        self.path_on_compute = path_on_compute
        self.overwrite = overwrite
