# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DatacacheReplica(Model):
    """DatacacheReplica.

    :param cache_replica_id:
    :type cache_replica_id: str
    :param datastore_name:
    :type datastore_name: str
    :param cache_size_in_mb:
    :type cache_size_in_mb: long
    :param active_consumption_run_ids:
    :type active_consumption_run_ids: list[str]
    :param status: Possible values include: 'WaitingHydrate', 'Hydrating',
     'HydratingSuccess', 'InRead', 'Expired', 'Evicting', 'DataIncomplete'
    :type status: str or ~_restclient.models.CacheStatus
    :param creation_time:
    :type creation_time: datetime
    :param last_access_time:
    :type last_access_time: datetime
    :param expiration_time:
    :type expiration_time: datetime
    """

    _attribute_map = {
        'cache_replica_id': {'key': 'cacheReplicaId', 'type': 'str'},
        'datastore_name': {'key': 'datastoreName', 'type': 'str'},
        'cache_size_in_mb': {'key': 'cacheSizeInMB', 'type': 'long'},
        'active_consumption_run_ids': {'key': 'activeConsumptionRunIds', 'type': '[str]'},
        'status': {'key': 'status', 'type': 'CacheStatus'},
        'creation_time': {'key': 'creationTime', 'type': 'iso-8601'},
        'last_access_time': {'key': 'lastAccessTime', 'type': 'iso-8601'},
        'expiration_time': {'key': 'expirationTime', 'type': 'iso-8601'},
    }

    def __init__(self, cache_replica_id=None, datastore_name=None, cache_size_in_mb=None, active_consumption_run_ids=None, status=None, creation_time=None, last_access_time=None, expiration_time=None):
        super(DatacacheReplica, self).__init__()
        self.cache_replica_id = cache_replica_id
        self.datastore_name = datastore_name
        self.cache_size_in_mb = cache_size_in_mb
        self.active_consumption_run_ids = active_consumption_run_ids
        self.status = status
        self.creation_time = creation_time
        self.last_access_time = last_access_time
        self.expiration_time = expiration_time
