# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ModelEnvironmentDefinition(Model):
    """ModelEnvironmentDefinition.

    :param name: The name of the environment.
    :type name: str
    :param version: The environment version.
    :type version: str
    :param python: Settings for a Python environment.
    :type python: ~_restclient.models.ModelEnvironmentDefinitionPython
    :param environment_variables: Definition of environment variables to be
     defined in the environment.
    :type environment_variables: dict[str, str]
    :param docker: The definition of a Docker container.
    :type docker: ~_restclient.models.ModelEnvironmentDefinitionDocker
    :param spark: The configuration for a Spark environment.
    :type spark: ~_restclient.models.ModelEnvironmentDefinitionSpark
    :param r: Settings for a R environment.
    :type r: ~_restclient.models.ModelEnvironmentDefinitionR
    :param inferencing_stack_version: The inferencing stack version added to
     the image. To avoid adding an inferencing stack, do not set this value.
     Valid values: "latest".
    :type inferencing_stack_version: str
    """

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'version': {'key': 'version', 'type': 'str'},
        'python': {'key': 'python', 'type': 'ModelEnvironmentDefinitionPython'},
        'environment_variables': {'key': 'environmentVariables', 'type': '{str}'},
        'docker': {'key': 'docker', 'type': 'ModelEnvironmentDefinitionDocker'},
        'spark': {'key': 'spark', 'type': 'ModelEnvironmentDefinitionSpark'},
        'r': {'key': 'r', 'type': 'ModelEnvironmentDefinitionR'},
        'inferencing_stack_version': {'key': 'inferencingStackVersion', 'type': 'str'},
    }

    def __init__(self, name=None, version=None, python=None, environment_variables=None, docker=None, spark=None, r=None, inferencing_stack_version=None):
        super(ModelEnvironmentDefinition, self).__init__()
        self.name = name
        self.version = version
        self.python = python
        self.environment_variables = environment_variables
        self.docker = docker
        self.spark = spark
        self.r = r
        self.inferencing_stack_version = inferencing_stack_version
