# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PaginatedModelListPost(Model):
    """A paginated list of Models.

    :param value: An array of objects of type Model.
    :type value: list[~_restclient.models.Model]
    :param next_link: A continuation link (absolute URI) to the next page of
     results in the list.
    :type next_link: str
    :param continuation_token: The token used in retrieving the next page. If
     null, there are no additional pages.
    :type continuation_token: str
    :param next_request: A request body(payload) to the next page of results
     in the list.
    :type next_request: ~_restclient.models.PaginatedModelListPostNextRequest
    """

    _attribute_map = {
        'value': {'key': 'value', 'type': '[Model]'},
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'continuation_token': {'key': 'continuationToken', 'type': 'str'},
        'next_request': {'key': 'nextRequest', 'type': 'PaginatedModelListPostNextRequest'},
    }

    def __init__(self, value=None, next_link=None, continuation_token=None, next_request=None):
        super(PaginatedModelListPost, self).__init__()
        self.value = value
        self.next_link = next_link
        self.continuation_token = continuation_token
        self.next_request = next_request
