# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ScaleSettings(Model):
    """scale settings for AML Compute.

    :param max_node_count: Max number of nodes to use
    :type max_node_count: int
    :param min_node_count: Min number of nodes to use. Default value: 0 .
    :type min_node_count: int
    :param node_idle_time_before_scale_down: Node Idle Time before scaling
     down amlCompute
    :type node_idle_time_before_scale_down: timedelta
    """

    _validation = {
        'max_node_count': {'required': True},
    }

    _attribute_map = {
        'max_node_count': {'key': 'maxNodeCount', 'type': 'int'},
        'min_node_count': {'key': 'minNodeCount', 'type': 'int'},
        'node_idle_time_before_scale_down': {'key': 'nodeIdleTimeBeforeScaleDown', 'type': 'duration'},
    }

    def __init__(self, max_node_count, min_node_count=0, node_idle_time_before_scale_down=None):
        super(ScaleSettings, self).__init__()
        self.max_node_count = max_node_count
        self.min_node_count = min_node_count
        self.node_idle_time_before_scale_down = node_idle_time_before_scale_down
